package io.zipcoder.interfaces;


import java.util.ArrayList;

public class People {

    private ArrayList<Person> personList;

    public People(ArrayList<Person> personList) {
        this.personList = personList;
    }

    public ArrayList<Person> getPersonList() {
        return personList;
    }

    public void setPersonList(ArrayList<Person> personList) {
        this.personList = personList;
    }

    public void add(Person p) {
        personList.add(p);
    }

    public Person lookup(int index) {
        return personList.get(index);
    }

    public void remove(Person removeme) {
        personList.remove(removeme);
    }

    public Person findById(long personID) {

        Person target = null;

        for (Person p : personList) {
            if (p.getId() == personID) {
                target = p;
            }
        }
        return target;
    }

}
