package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class InstructorTest {

    Instructor i;

    @Before
    public void setup (){
        i = new Instructor(72, "TESTING");
    }

@Test
public void testImplementation () {

    Assert.assertTrue(i instanceof Teacher);

}

@Test
public void testInheritance (){

        Assert.assertTrue(i instanceof Person);

}

@Test
public void testTeach(){

        //Given
        Student s = new Student(27, "TESTER");
        i.teach(s, 20);

        //Assert
        double expected = 20;
        Assert.assertEquals(expected, s.getTotalStudyTime(), 0);
}
    @Test
    public void testLecture(){

        //Given
        Student s1 = new Student(1,"TESTER1");
        Student s2 = new Student(2, "TESTER2");
        Student s3 = new Student(3, "TESTER3");
        Student s4 = new Student(4, "TESTER4");
        Learner[] bin = new Learner[]{s1, s2, s3, s4};
        i.lecture(bin, 16);
        double expected = 4;

        //Assert
        Assert.assertEquals(expected, s1.getTotalStudyTime(), 0);
    }

}
