package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;

public class PeopleTest {

    People p;

    @Before
    public void setup () {
        //Persons to go into the array
        Person p1 = new Person(22,"TEST1");
        Person p2 = new Person(33, "TEST2");
        Person p3 = new Person(44, "TEST3");
        ArrayList<Person> persons = new ArrayList<>();
        persons.add(p1); persons.add(p2); persons.add(p3);

        //New People
        p = new People(persons);


    }

    @Test
    public void testAdd() {

        //Given
        Person p4 = new Person(55, "TEST4");
        p.add(p4);

    //Assert
    Assert.assertTrue(p.getPersonList().contains(p4));
    }

    @Test
    public void testRemove() {

        //Given
        Person p4 = new Person(55, "TEST4");
        p.add(p4); p.remove(p4);

        //Assert
        Assert.assertFalse(p.getPersonList().contains(p4));

    }

    @Test
    public void testFindById() {

        //Given
        Person p4 = new Person(55, "TEST4");
        p.add(p4);

        //Assert
        Assert.assertEquals(p4, p.findById(55));
        
    }

}
