package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class StudentTest {

    Student s;

    @Before
    public void setup() {

        s = new Student(55, "TESTING");

    }

    @Test
    public void testImplementation (){

        //Given
        s.learn(10);

        //Assert
        double expected = 10;
        Assert.assertEquals(expected, s.getTotalStudyTime(), 0);

    }

    @Test
    public void testInheritance (){

        //Setup
        long expected = 55;
        String spected = "TESTING";

        //Assert
        Assert.assertEquals(expected, s.getId());
        Assert.assertEquals(spected, s.getName());

    }

    @Test
    public void testLean () {

        //Given
        s.learn(20);

        //Assert
        double expected = 20;
        Assert.assertEquals(expected, s.getTotalStudyTime(), 0);

    }

}
